Package com.sas.rio

# Class MVAResultSetMetaData

java.lang.Object
com.sas.rio.MVAResultSetMetaData

All Implemented Interfaces:
  com.sas.rio.RIOResultSetMetaDataInterface, `com.sas.sql.RIOResultSetMetaData`, `ResultSetMetaData`, `Wrapper`

@Immutable public class MVAResultSetMetaData extends Object implements RIOResultSetMetaDataInterface
A ResultSetMetaData object can be used to find out about the types and properties of the columns in a ResultSet. This class is immutable - once a MVAResultSet has been created, its metadata cannot change.

- ## Field Summary

  ### Fields inherited from interface java.sql.ResultSetMetaData

  `columnNoNulls, columnNullable, columnNullableUnknown`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCatalogName(int column)`
  Gets the catalog name of the table that the column is in.
  `String`
  `getColumnClassName(int columnIndex)`
  JDBC 2.0 Gets the fully qualified name of the Java class whose instances are manufactured if ResultSet.getObject() is called to retrieve a value from the column.
  `int`
  `getColumnCount()`
  Gets the number of columns in the ResultSet.
  `int`
  `getColumnDisplaySize(int column)`
  Gets the normal maximum width of the column (in characters).
  `int`
  `getColumnFormatDecimal(int columnIndex)`
  RIO Gets the format decimal of the column.
  `int[]`
  `getColumnFormatDecimals()`
  RIO Gets the format lengths of the columns in the ResultSet.
  `int`
  `getColumnFormatLength(int columnIndex)`
  RIO Gets the format length of the column.
  `int[]`
  `getColumnFormatLengths()`
  RIO Gets the format lengths of the columns in the ResultSet.
  `String`
  `getColumnFormatName(int columnIndex)`
  RIO Gets the format name of the column.
  `String[]`
  `getColumnFormatNames()`
  RIO Gets the format names of the columns in the ResultSet.
  `int`
  `getColumnFormatWidth(int columnIndex)`
  RIO Gets the format width of the column.
  `int[]`
  `getColumnFormatWidths()`
  RIO Gets the format widths of the columns in the ResultSet.
  `int`
  `getColumnInformatDecimal(int columnIndex)`
  RIO Gets the informat decimal of the column.
  `int[]`
  `getColumnInformatDecimals()`
  RIO Gets the informat decimals of the columns in the ResultSet.
  `int`
  `getColumnInformatLength(int columnIndex)`
  RIO Gets the informat length of the column.
  `int[]`
  `getColumnInformatLengths()`
  RIO Gets the informat lengths of the columns in the ResultSet.
  `String`
  `getColumnInformatName(int columnIndex)`
  RIO Gets the informat name of the column.
  `String[]`
  `getColumnInformatNames()`
  RIO Gets the informat names of the columns in the ResultSet.
  `int`
  `getColumnInformatWidth(int columnIndex)`
  RIO Gets the informat width of the column.
  `int[]`
  `getColumnInformatWidths()`
  RIO Gets the informat widths of the columns in the ResultSet.
  `String`
  `getColumnLabel(int column)`
  Gets the suggested column title for use in printouts and displays.
  `String`
  `getColumnName(int column)`
  Gets the column name.
  `int`
  `getColumnType(int column)`
  Gets the SQL type for the column.
  `String`
  `getColumnTypeName(int column)`
  Gets the data-source-specific type name for the column.
  `int`
  `getFormatDecimal(int columnIndex)`
  `int[]`
  `getFormatDecimals()`
  `int`
  `getFormatLength(int columnIndex)`
  `int[]`
  `getFormatLengths()`
  `String`
  `getFormatName(int columnIndex)`
  `String[]`
  `getFormatNames()`
  `int`
  `getFormatWidth(int columnIndex)`
  `int[]`
  `getFormatWidths()`
  `int`
  `getInformatDecimal(int columnIndex)`
  `int[]`
  `getInformatDecimals()`
  `int`
  `getInformatLength(int columnIndex)`
  `int[]`
  `getInformatLengths()`
  `String`
  `getInformatName(int columnIndex)`
  `String[]`
  `getInformatNames()`
  `int`
  `getInformatWidth(int columnIndex)`
  `int[]`
  `getInformatWidths()`
  `int`
  `getPrecision(int column)`
  Gets the maximum number of decimal digits that can be in the column.
  `int`
  `getScale(int column)`
  Gets the number of digits in the column that are to right of the decimal.
  `String`
  `getSchemaName(int column)`
  Gets the schema name for the table that the column is in.
  `String`
  `getTableName(int column)`
  Gets the number of digits in the column that are to right of the decimal.
  `boolean`
  `isAutoIncrement(int column)`
  Determines whether a column is automatically numbered.
  `boolean`
  `isCaseSensitive(int column)`
  Determines whether case matters in a column.
  `boolean`
  `isCurrency(int column)`
  Determines whether a column is a cash value.
  `boolean`
  `isDefinitelyWritable(int column)`
  Determines whether you can successfully write to the column.
  `int`
  `isNullable(int column)`
  Determines whether you can put a NULL in this column.
  `boolean`
  `isReadOnly(int column)`
  Determines whether a column is read-only.
  `boolean`
  `isSearchable(int column)`
  Determines whether a column can be used in a WHERE clause.
  `boolean`
  `isSigned(int column)`
  Determines whether the value in a column is a signed number.
  `boolean`
  `isWrapperFor(Class<?> iface)`
  `boolean`
  `isWritable(int column)`
  Determines whether it is at all possible to successfully write to the column.
  `<T> T`
  `unwrap(Class<T> iface)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getColumnCount

    public int getColumnCount() throws SQLException
    Gets the number of columns in the ResultSet.
    Specified by:
      `getColumnCount` in interface `ResultSetMetaData`
    Returns:
      Number of columns.
    Throws:
      `SQLException` - This exception is required by the interface, but it is never thrown.

  - ### isAutoIncrement

    public boolean isAutoIncrement(int column) throws SQLException
    Determines whether a column is automatically numbered.
    Specified by:
      `isAutoIncrement` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      False.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### isCaseSensitive

    public boolean isCaseSensitive(int column) throws SQLException
    Determines whether case matters in a column.
    Specified by:
      `isCaseSensitive` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      True if the java.sql.Type is VARCHAR; otherwise False.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### isSearchable

    public boolean isSearchable(int column) throws SQLException
    Determines whether a column can be used in a WHERE clause.
    Specified by:
      `isSearchable` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      True.
    Throws:
      `SQLException` - if column index is invalid

  - ### isCurrency

    public boolean isCurrency(int column) throws SQLException
    Determines whether a column is a cash value.
    Specified by:
      `isCurrency` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      False.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### isNullable

    public int isNullable(int column) throws SQLException
    Determines whether you can put a NULL in this column.
    Specified by:
      `isNullable` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      ResultSetMetaData.columnNoNulls or ResultSetMetaData.columnNullable.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### isSigned

    public boolean isSigned(int column) throws SQLException
    Determines whether the value in a column is a signed number.
    Specified by:
      `isSigned` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      False if java.sql.Type.VARCHAR or BIT; otherwise True.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getColumnDisplaySize

    public int getColumnDisplaySize(int column) throws SQLException
    Gets the normal maximum width of the column (in characters).
    Specified by:
      `getColumnDisplaySize` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      Maximum width of the column.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getColumnLabel

    public String getColumnLabel(int column) throws SQLException
    Gets the suggested column title for use in printouts and displays.
    Specified by:
      `getColumnLabel` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      The column label.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getColumnName

    public String getColumnName(int column) throws SQLException
    Gets the column name.
    Specified by:
      `getColumnName` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      The column name.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getSchemaName

    public String getSchemaName(int column) throws SQLException
    Gets the schema name for the table that the column is in. SQL pass-thru does not surface any information about which underlying table/tables a particular ResultSet is derived from.
    Specified by:
      `getSchemaName` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      An empty string (""). The information is not available.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getPrecision

    public int getPrecision(int column) throws SQLException
    Gets the maximum number of decimal digits that can be in the column.
    Specified by:
      `getPrecision` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      For numeric and date columns, the maximum number of decimal digits; for character columns, the maximum length.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getScale

    public int getScale(int column) throws SQLException
    Gets the number of digits in the column that are to right of the decimal.
    Specified by:
      `getScale` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      0. The information is not available.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getTableName

    public String getTableName(int column) throws SQLException
    Gets the number of digits in the column that are to right of the decimal. NOTE SQL pass-thru does not surface any information about which underlying table/tables a particular ResultSet was derived from.
    Specified by:
      `getTableName` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      0. The information is not available.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getCatalogName

    public String getCatalogName(int column) throws SQLException
    Gets the catalog name of the table that the column is in.
    Specified by:
      `getCatalogName` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      An empty string (""). The information is not available.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getColumnType

    public int getColumnType(int column) throws SQLException
    Gets the SQL type for the column.
    Specified by:
      `getColumnType` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      java.sql.Type for the column.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.
    See Also:
      - `Types`

  - ### getColumnTypeName

    public String getColumnTypeName(int column) throws SQLException
    Gets the data-source-specific type name for the column.
    Specified by:
      `getColumnTypeName` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      String The format name of the column including format width and decimal. An empty string("") is returned if no formats are defined for the column.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### isReadOnly

    public boolean isReadOnly(int column) throws SQLException
    Determines whether a column is read-only.
    Specified by:
      `isReadOnly` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      False.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### isWritable

    public boolean isWritable(int column) throws SQLException
    Determines whether it is at all possible to successfully write to the column.
    Specified by:
      `isWritable` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      True.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column) throws SQLException
    Determines whether you can successfully write to the column.
    Specified by:
      `isDefinitelyWritable` in interface `ResultSetMetaData`
    Parameters:
      `column` - The column index.
    Returns:
      False.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getColumnClassName

    public String getColumnClassName(int columnIndex) throws SQLException
    JDBC 2.0 Gets the fully qualified name of the Java class whose instances are manufactured if ResultSet.getObject() is called to retrieve a value from the column. ResultSet.getObject() may return a subClass of the class returned by this method.
    Specified by:
      `getColumnClassName` in interface `ResultSetMetaData`
    Parameters:
      `columnIndex` - The column index.
    Returns:
      String version of the class name.
    Throws:
      `SQLException` - This exception is thrown if the value for column is not valid.

  - ### getColumnFormatName

    public String getColumnFormatName(int columnIndex) throws RIOException
    RIO Gets the format name of the column.
    Specified by:
      `getColumnFormatName` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      A String containing the format name of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnFormatNames

    public String[] getColumnFormatNames() throws RIOException
    RIO Gets the format names of the columns in the ResultSet.
    Specified by:
      `getColumnFormatNames` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of Strings containing the format names of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### getColumnFormatLength

    public int getColumnFormatLength(int columnIndex) throws RIOException
    RIO Gets the format length of the column.
    Specified by:
      `getColumnFormatLength` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      An integer value containing the format length of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnFormatLengths

    public int[] getColumnFormatLengths() throws RIOException
    RIO Gets the format lengths of the columns in the ResultSet.
    Specified by:
      `getColumnFormatLengths` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of integer values containing the format lengths of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### getColumnFormatWidth

    public int getColumnFormatWidth(int columnIndex) throws RIOException
    RIO Gets the format width of the column.
    Specified by:
      `getColumnFormatWidth` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      An integer value containing the format width of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnFormatWidths

    public int[] getColumnFormatWidths() throws RIOException
    RIO Gets the format widths of the columns in the ResultSet.
    Specified by:
      `getColumnFormatWidths` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of integer values containing the format widths of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### getColumnFormatDecimal

    public int getColumnFormatDecimal(int columnIndex) throws RIOException
    RIO Gets the format decimal of the column.
    Specified by:
      `getColumnFormatDecimal` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      An integer value containing the format decimal of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnFormatDecimals

    public int[] getColumnFormatDecimals() throws RIOException
    RIO Gets the format lengths of the columns in the ResultSet.
    Specified by:
      `getColumnFormatDecimals` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of int values containing the format lengths of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### getColumnInformatName

    public String getColumnInformatName(int columnIndex) throws RIOException
    RIO Gets the informat name of the column.
    Specified by:
      `getColumnInformatName` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      A String containing the informat name of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnInformatNames

    public String[] getColumnInformatNames() throws RIOException
    RIO Gets the informat names of the columns in the ResultSet.
    Specified by:
      `getColumnInformatNames` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of String values containing the informat names of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### getColumnInformatLength

    public int getColumnInformatLength(int columnIndex) throws RIOException
    RIO Gets the informat length of the column.
    Specified by:
      `getColumnInformatLength` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      An integer value containing the informat length of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnInformatLengths

    public int[] getColumnInformatLengths() throws RIOException
    RIO Gets the informat lengths of the columns in the ResultSet.
    Specified by:
      `getColumnInformatLengths` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of integer values containing the informat lengths of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### getColumnInformatWidth

    public int getColumnInformatWidth(int columnIndex) throws RIOException
    RIO Gets the informat width of the column.
    Specified by:
      `getColumnInformatWidth` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      An integer value containing the informat width of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnInformatWidths

    public int[] getColumnInformatWidths() throws RIOException
    RIO Gets the informat widths of the columns in the ResultSet.
    Specified by:
      `getColumnInformatWidths` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of integer values containing the informat widths of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### getColumnInformatDecimal

    public int getColumnInformatDecimal(int columnIndex) throws RIOException
    RIO Gets the informat decimal of the column.
    Specified by:
      `getColumnInformatDecimal` in interface `RIOResultSetMetaDataInterface`
    Parameters:
      `columnIndex` - The first column is 1, the second column is 2, and so on.
    Returns:
      An integer value containing the informat decimal of the column.
    Throws:
      `RIOException` - This exception is thrown if the column index is not valid.

  - ### getColumnInformatDecimals

    public int[] getColumnInformatDecimals() throws RIOException
    RIO Gets the informat decimals of the columns in the ResultSet.
    Specified by:
      `getColumnInformatDecimals` in interface `RIOResultSetMetaDataInterface`
    Returns:
      An array of integer values containing the informat decimals of the columns.
    Throws:
      `RIOException` - This exception is required by the interface but it is never thrown.

  - ### unwrap

    public <T> T unwrap(Class<T> iface) throws SQLException
    Specified by:
      `unwrap` in interface `Wrapper`
    Throws:
      `SQLException`

  - ### isWrapperFor

    public boolean isWrapperFor(Class<?> iface) throws SQLException
    Specified by:
      `isWrapperFor` in interface `Wrapper`
    Throws:
      `SQLException`

  - ### getFormatName

    public String getFormatName(int columnIndex) throws SQLException
    Specified by:
      `getFormatName` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getFormatNames

    public String[] getFormatNames() throws SQLException
    Specified by:
      `getFormatNames` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getFormatLength

    public int getFormatLength(int columnIndex) throws SQLException
    Specified by:
      `getFormatLength` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getFormatLengths

    public int[] getFormatLengths() throws SQLException
    Specified by:
      `getFormatLengths` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getFormatWidth

    public int getFormatWidth(int columnIndex) throws SQLException
    Specified by:
      `getFormatWidth` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getFormatWidths

    public int[] getFormatWidths() throws SQLException
    Specified by:
      `getFormatWidths` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getFormatDecimal

    public int getFormatDecimal(int columnIndex) throws SQLException
    Specified by:
      `getFormatDecimal` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getFormatDecimals

    public int[] getFormatDecimals() throws SQLException
    Specified by:
      `getFormatDecimals` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatName

    public String getInformatName(int columnIndex) throws SQLException
    Specified by:
      `getInformatName` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatNames

    public String[] getInformatNames() throws SQLException
    Specified by:
      `getInformatNames` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatLength

    public int getInformatLength(int columnIndex) throws SQLException
    Specified by:
      `getInformatLength` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatLengths

    public int[] getInformatLengths() throws SQLException
    Specified by:
      `getInformatLengths` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatWidth

    public int getInformatWidth(int columnIndex) throws SQLException
    Specified by:
      `getInformatWidth` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatWidths

    public int[] getInformatWidths() throws SQLException
    Specified by:
      `getInformatWidths` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatDecimal

    public int getInformatDecimal(int columnIndex) throws SQLException
    Specified by:
      `getInformatDecimal` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`

  - ### getInformatDecimals

    public int[] getInformatDecimals() throws SQLException
    Specified by:
      `getInformatDecimals` in interface `com.sas.sql.RIOResultSetMetaData`
    Throws:
      `SQLException`